## postgresql-9.6 9.6.2

=== debian/changelog ===
postgresql-9.6 (9.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

    + Fix a race condition that could cause indexes built with CREATE INDEX
      CONCURRENTLY to be corrupt (Pavan Deolasee, Tom Lane)

      If CREATE INDEX CONCURRENTLY was used to build an index that depends on
      a column not previously indexed, then rows inserted or updated by
      transactions that ran concurrently with the CREATE INDEX command could
      have received incorrect index entries.  If you suspect this may have
      happened, the most reliable solution is to rebuild affected indexes
      after installing this update.

  * Update watch file to use https.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 07 Feb 2017 12:02:33 +0100

postgresql-9.6 (9.6.1-2) unstable; urgency=medium

  * Team upload.

  [ Martin Pitt ]
  * Add missing perl test dependency (for Test::More).

  [ Christoph Berg ]
  * Explicitly disable PIE on 32 architectures. Previously we were just not
    enabling it, but it's on by default now in unstable. Closes: #842752.
  * libpq-dev: Remove dependency on libssl-dev (and comerr-dev and
    krb5-multidev) to unbreak co-installation with libssl1.0-dev.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 02 Nov 2016 11:04:52 +0100

postgresql-9.6 (9.6.1-1) unstable; urgency=medium

  * New upstream release.

    A dump/restore is not required for those running 9.6.X.

    However, if your installation has been affected by the bugs described in
    the first two changelog entries below, then after updating you may need
    to take action to repair corrupted free space maps and/or visibility
    maps.

    + Fix WAL-logging of truncation of relation free space maps and visibility
      maps (Pavan Deolasee, Heikki Linnakangas)

      It was possible for these files to not be correctly restored during
      crash recovery, or to be written incorrectly on a standby server. Bogus
      entries in a free space map could lead to attempts to access pages that
      have been truncated away from the relation itself, typically producing
      errors like could not read block XXX: read only 0 of 8192 bytes.
      Checksum failures in the visibility map are also possible, if
      checksumming is enabled.

      Procedures for determining whether there is a problem and repairing it
      if so are discussed at
      https://wiki.postgresql.org/wiki/Free_Space_Map_Problems.

    + Fix possible data corruption when pg_upgrade rewrites a relation
      visibility map into 9.6 format (Tom Lane)

      On big-endian machines, bytes of the new visibility map were written in
      the wrong order, leading to a completely incorrect map.  On Windows, the
      old map was read using text mode, leading to incorrect results if the
      map happened to contain consecutive bytes that matched a carriage
      return/line feed sequence.  The latter error would almost always lead to
      a pg_upgrade failure due to the map file appearing to be the wrong
      length.

      If you are using a big-endian machine (many non-Intel architectures are
      big-endian) and have used pg_upgrade to upgrade from a pre-9.6 release,
      you should assume that all visibility maps are incorrect and need to be
      regenerated.  It is sufficient to truncate each relation's visibility
      map with contrib/pg_visibility's pg_truncate_visibility_map() function.
      For more information see
      https://wiki.postgresql.org/wiki/Visibility_Map_Problems.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Oct 2016 12:32:34 +0200

postgresql-9.6 (9.6.0-1) unstable; urgency=medium

  * First 9.6 release.
  * Filter -fdebug-prefix-map from pg_config output. This makes the build
    reproducible; the flag would be useless anyway.
  * Drop hardening-wrapper.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 27 Sep 2016 17:09:32 +0200

postgresql-9.6 (9.6~rc1-1) unstable; urgency=medium

  * First 9.6 release candidate.

 -- Christoph Berg <myon@debian.org>  Mon, 29 Aug 2016 23:10:22 +0200

postgresql-9.6 (9.6~beta4-1) experimental; urgency=medium

  * New upstream beta version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 09 Aug 2016 10:01:06 +0200

postgresql-9.6 (9.6~beta3-1) experimental; urgency=medium

  * New upstream beta version.
  * Simplify python3 rules, upstream implemented the necessary dependencies.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jul 2016 12:42:24 +0200

postgresql-9.6 (9.6~beta2-1) experimental; urgency=medium

  * New upstream beta version.
  * Run regression tests in architecture-dependant builds only.
  * Remove conditional multi-arch compilation, all supported dists are
    multi-arched now.
  * Use explicit xz compression for wheezy and precise

 -- Christoph Berg <myon@debian.org>  Mon, 20 Jun 2016 23:01:04 +0200

postgresql-9.6 (9.6~beta1-4) experimental; urgency=medium

  * Split the build process into indep and arch parts. (The manpages are still
    built in both because they are distributed over the server and doc
    packages.)

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 18 May 2016 14:01:39 +0200

postgresql-9.6 (9.6~beta1-3) experimental; urgency=medium

  * Use dh-exec to not install the sepgsql files on non-linux.
  * B-D on libsystemd-dev on linux only.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 17 May 2016 17:51:02 +0200

postgresql-9.6 (9.6~beta1-2) experimental; urgency=medium

  * Merge back separate contrib copyright file into debian/copyright.

 -- Christoph Berg <myon@debian.org>  Fri, 13 May 2016 16:35:11 +0200

postgresql-9.6 (9.6~beta1-1) experimental; urgency=low

  * New major upstream version 9.6; packaging based on postgresql-9.5.

    Major enhancements in PostgreSQL 9.6 include:
    + Parallel sequential scans, joins and aggregates
    + Elimination of repetitive scanning of old data by autovacuum
    + Synchronous replication now allows multiple standby servers for
      increased reliability

