## postgresql-9.6 9.6.5

=== debian/changelog ===
postgresql-9.6 (9.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 29 Aug 2017 12:15:37 +0200

postgresql-9.6 (9.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

    + Further restrict visibility of pg_user_mappings.umoptions, to protect
      passwords stored as user mapping options. See the release notes for
      instructions for applying the fix to existing database clusters.
      (CVE-2017-7547; extends fix for CVE-2017-7484)
    + Disallow empty passwords in all password-based authentication methods.
      (CVE-2017-7546)
    + Make lo_put() check for UPDATE privilege on the target large object.
      (CVE-2017-7548)

  * debian/rules: Unconditionally use DEB_BUILD_MAINT_OPTIONS=hardening=+all.
    The old logic is kept around for compiling on older distributions.
  * Remove long obsolete --with-krb5 and move c/ldflags to configure switches.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 08 Aug 2017 10:05:43 +0200

postgresql-9.6 (9.6.3-4) unstable; urgency=medium

  * 69db3b0c: Fix hstore_plperlu test failure. (Closes: #865020)
  * On regression test failure, show newest three log files instead of relying
    on file age = 0 min.

 -- Christoph Berg <myon@debian.org>  Sat, 03 Jun 2017 11:37:55 +0200

postgresql-9.6 (9.6.3-3) unstable; urgency=medium

  * pg_config: Unbreak CFLAGS_SL on sparc64.

 -- Christoph Berg <myon@debian.org>  Sat, 27 May 2017 10:41:37 +0200

postgresql-9.6 (9.6.3-2) unstable; urgency=medium

  * pg_config: Set CFLAGS_SL=-fPIC on s390x. (Closes: #862948)

 -- Christoph Berg <myon@debian.org>  Sat, 27 May 2017 08:27:16 +0200

postgresql-9.6 (9.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

    + Restrict visibility of pg_user_mappings.umoptions, to protect passwords
      stored as user mapping options (CVE-2017-7486)
    + Prevent exposure of statistical information via leaky operators
      (CVE-2017-7484)
    + Restore libpq's recognition of the PGREQUIRESSL environment variable
      (CVE-2017-7485)

  * debian/rules: Add stub to enable cassert builds (disabled by default).

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 09 May 2017 13:00:11 +0200

postgresql-9.6 (9.6.2-2) unstable; urgency=medium

  * Update regression tests to avoid timezone abbreviations that were removed
    from tzdata 2017a. (Upstream d8ec6b9c8c265c2f29b1c0e0e4205895baaa326d.)

 -- Christoph Berg <myon@debian.org>  Sun, 26 Mar 2017 17:38:52 +0200
