=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 TCL_VER := 8.5
 endif
 MAJOR_VER := 9.6
+#CASSERT_FLAGS := --enable-cassert
 
 CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)
 
@@ -18,20 +19,20 @@
 TCL_CONFIG_DIR := /usr/lib
 endif
 
-# "-pie" because it would break linking our .so files
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+#PIE# # On jessie/zesty and older, uncomment the #PIE# lines
+#PIE# # "-pie" because it would break linking our .so files
+#PIE# export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-LDFLAGS+= -Wl,--as-needed -L/usr/lib/mit-krb5 -L/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
-CFLAGS+= -I/usr/include/mit-krb5
-# skip -pie on 32bit archs for performance and stability reasons
-# (http://www.postgresql.org/message-id/20140519115318.GB7296@msgid.df7cb.de, #797530)
-ifneq ($(shell dpkg-architecture -qDEB_HOST_ARCH_BITS || :),32)
-CFLAGS+= -fPIC -pie
-else
-# if gcc recognizes -no-pie, add it to CFLAGS (exit is 4 for unknown options)
-CFLAGS+= $(shell gcc -no-pie 2> /dev/null; [ $$? = 1 ] && echo "-no-pie")
-endif
+#PIE# # skip -pie on 32bit archs for performance and stability reasons
+#PIE# # (http://www.postgresql.org/message-id/20140519115318.GB7296@msgid.df7cb.de, #797530)
+#PIE# ifneq ($(shell dpkg-architecture -qDEB_HOST_ARCH_BITS || :),32)
+#PIE# CFLAGS+= -fPIC -pie
+#PIE# else
+#PIE# # if gcc recognizes -no-pie, add it to CFLAGS (exit is 4 for unknown options)
+#PIE# CFLAGS+= $(shell gcc -no-pie 2> /dev/null; [ $$? = 1 ] && echo "-no-pie")
+#PIE# endif
 
 # Facilitate hierarchical profile generation on amd64 (#730134)
 ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),amd64)
@@ -70,6 +71,7 @@
   --enable-thread-safety \
   --enable-tap-tests \
   --enable-debug \
+  $(CASSERT_FLAGS) \
   --disable-rpath \
   --with-uuid=e2fs \
   --with-gnu-ld \
@@ -84,7 +86,10 @@
 ifeq ($(DEB_STAGE),stage1)
 BOOTSTRAP_FLAGS=
 else
-BOOTSTRAP_FLAGS= --with-krb5 --with-gssapi --with-ldap
+BOOTSTRAP_FLAGS= --with-gssapi --with-ldap \
+		 --with-includes=/usr/include/mit-krb5 \
+		 --with-libs=/usr/lib/mit-krb5 \
+		 --with-libs=/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
 endif
 
 # build should fail on test suite failures on all arches
@@ -208,7 +213,5 @@
 
 override_dh_auto_test-arch:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# when tests fail, print all regression.diffs files, as well as the newest log files
+	# when tests fail, print newest 3 log files
 	# temp-install wants to be invoked from a top-level make, unset MAKELEVEL here
-	unset MAKELEVEL; if ! make -C build check-world EXTRA_REGRESS_OPTS='--port=$(shell perl -le 'print 1024 + int(rand(64000))')'; then \
-	    for l in `find build -name regression.diffs -o -mmin 0 \( -name initdb.log -o -name postmaster.log \)`; do \
