## postgresql-9.6 9.6.9

=== debian/changelog ===
postgresql-9.6 (9.6.9-0ubuntu0.17.10) artful; urgency=medium

  * New upstream release (LP: #1769888)
    - A dump/restore is not required for those running 9.6.X.
      However, if you use the adminpack extension, you should update it as
      per the first changelog entry of the changelog.
      (CVE-2018-1115)
      Also, if the function marking mistakes mentioned in the first
      changelog entry affect you, you will want to take steps to
      correct your database catalogs.
    - Details about changes can be found at
      https://www.postgresql.org/docs/9.6/static/release-9-6-9.html

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 08 May 2018 15:17:44 +0200
